Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cometd.oort
Class OortComet.OortCometListener

    java.lang.Object
      org.cometd.oort.OortComet.OortCometListener

All Implemented Interfaces:
  java.util.EventListener, org.cometd.ClientListener, org.cometd.MessageListener

Enclosing class:
  OortComet

    protected class OortComet.OortCometListener

extends java.lang.Object
implements org.cometd.MessageListener

Nested Class Summary

Nested classes/interfaces inherited from interface org.cometd.MessageListener
`org.cometd.MessageListener.Asynchronous, org.cometd.MessageListener.Synchronous`

Constructor Summary
`protected` | `OortComet.OortCometListener()`

Method Summary
`void` | `deliver(org.cometd.Client fromClient, org.cometd.Client toClient, org.cometd.Message msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OortComet.OortCometListener

    protected OortComet.OortCometListener()

Method Detail

### deliver

    public void deliver(org.cometd.Client fromClient,
                        org.cometd.Client toClient,
                        org.cometd.Message msg)

  Specified by:
    `deliver` in interface `org.cometd.MessageListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.